## eventfs 0.2

=== Makefile ===
CC    := cc
CFLAGS := -std=c11 -Wall -g -fPIC -fstack-protector -fstack-protector-all -pthread -Wno-unused-variable -Wno-unused-but-set-variable
LIB   := -lfuse -lpthread -lrt -lfskit -lfskit_fuse -lpstat
INC   := -I. 
C_SRCS:= $(wildcard *.c)
OBJ   := $(patsubst %.c,%.o,$(C_SRCS))
DEFS  := -D_REENTRANT -D_THREAD_SAFE -D__STDC_FORMAT_MACROS -D_FILE_OFFSET_BITS=64 -D_XOPEN_SOURCE=700

EVENTFS := eventfs

DESTDIR ?= 
PREFIX ?= 
BINDIR ?= $(DESTDIR)/$(PREFIX)/bin

all: eventfs

eventfs: $(OBJ)
	$(CC) $(CFLAGS) -o "$@" $(OBJ) $(LIBINC) $(LIB)

install: eventfs
	mkdir -p $(BINDIR)
	cp -a $(EVENTFS) $(BINDIR)

%.o : %.c
	$(CC) $(CFLAGS) -o "$@" $(INC) -c "$<" $(DEFS)

.PHONY: clean
clean:
	/bin/rm -f $(OBJ) $(EVENTFS)

=== debian/changelog ===
eventfs (0.2-1+genuen6u1) unstable; urgency=medium

  * Build for excalibur

 -- Aitor <aitor@genuen.org>  Sat, 20 Dec 2025 20:23:29 +0100

eventfs (0.2-1) unstable; urgency=medium

  * Do not compare inodes when verifying discipline in order to know whether or not the
    directory has been created by the process, because they always mismatch under 32 bit
  * New upstream version 0.2

 -- Aitor <aitor@genuen.org>  Sun, 07 May 2023 16:38:18 +0200

eventfs (0.1-4) unstable; urgency=medium

  * Increase default values in the config file

 -- Aitor <aitor@genuen.org>  Mon, 10 Apr 2023 16:10:53 +0200

eventfs (0.1-3) unstable; urgency=medium

  * Minor changes in the config file

 -- Aitor <aitor@genuen.org>  Sun, 26 Mar 2023 15:29:31 +0200

eventfs (0.1-2) unstable; urgency=medium

  * Add config file

 -- Aitor <aitor@genuen.org>  Sun, 12 Mar 2023 11:16:49 +0100

eventfs (0.1-1) chimaera; urgency=medium

  * Initial release

 -- Aitor <aitor@genuen.org>  Mon, 06 Jun 2022 10:08:12 +0200

=== debian/control ===
Source: eventfs
Section: utilities
Priority: optional
Maintainer: Aitor <aitor@genuen.org>
Uploaders: Jude Nelson <judecn@devuan.org>
Standards-Version: 3.9.6
Origin: Genuen
Homepage: judecnelson.blogspot.com
Build-Depends: debhelper (>= 9),
               libfuse-dev (>= 2.9.3-15),
               libfskit-dev (>= 1.0.3),
               libfskit-fuse-dev (>= 1.0.3),
               libpstat-dev (>= 0.2-1)

Package: eventfs
Section: utilities
Priority: important
Architecture: linux-any
Multi-Arch: foreign
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Specialized userspace filesystem portable across multiple *nix.
 eventfs is a specialized userspace filesystem where each directory serves as
 process-owned message queue. It implements reliable message multicasting while
 avoiding excessive copying, and offers access controls, quotas, channel-sharing,
 and readiness notification through familiar filesystem semantics.

Package: eventfs-udeb
Build-Profiles: <!noudeb>
Package-Type: udeb
Section: debian-installer
Architecture: linux-any
Multi-Arch: foreign
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Specialized userspace filesystem portable across multiple *nix.
 eventfs is a specialized userspace filesystem where each directory serves as
 process-owned message queue. It implements reliable message multicasting while
 avoiding excessive copying, and offers access controls, quotas, channel-sharing,
 and readiness notification through familiar filesystem semantics.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1

%:
	dh $@

override_dh_strip:
